Bug 1652628 - There is an illegal WRITE memory access at caca/file.c:207 (function:caca_file_read )in libcaca latest version.
Summary: There is an illegal WRITE memory access at caca/file.c:207 (function:caca_fil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libcaca
Version: 31
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 13:28 UTC by shuitao gan
Modified: 2020-11-24 17:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 17:48:08 UTC
Type: Bug


Attachments (Terms of Use)
./img2txt POC7 (30.67 KB, image/bmp)
2018-11-22 13:28 UTC, shuitao gan
no flags Details

Description shuitao gan 2018-11-22 13:28:41 UTC
Created attachment 1507965 [details]
./img2txt POC7

version: libcaca0.99beta19
Summary: 

There is an illegal WRITE memory access at caca/file.c:207 (function:caca_file_read  )in libcaca latest version.

Description:

The asan debug is as follows:

$./img2txt POC7
=================================================================
==91389==ERROR: AddressSanitizer: SEGV on unknown address 0x7ff7361f3f50 (pc 0x7ff642451611 bp 0x7ffeef5624d0 sp 0x7ffeef561c38 T0)
==91389==The signal is caused by a WRITE memory access.
    #0 0x7ff642451610  (/lib/x86_64-linux-gnu/libc.so.6+0xb2610)
    #1 0x7ff642aec6ce  (/usr/lib/x86_64-linux-gnu/libasan.so.4+0x796ce)
    #2 0x7ff6412c3ccf in gzread (/lib/x86_64-linux-gnu/libz.so.1+0x12ccf)
    #3 0x7ff6427a61fa in caca_file_read /home/company/real/libcaca-master/caca/file.c:207
    #4 0x56440379828a in load_image /home/company/real/libcaca-master/src/common-image.c:209
    #5 0x5644037967c7 in main /home/company/real/libcaca-master/src/img2txt.c:171
    #6 0x7ff6423c01c0 in __libc_start_main (/lib/x86_64-linux-gnu/libc.so.6+0x211c0)
    #7 0x564403796f09 in _start (/home/company/real/libcaca-master/install_asan/bin/img2txt+0x2f09)

AddressSanitizer can not provide additional info.
SUMMARY: AddressSanitizer: SEGV (/lib/x86_64-linux-gnu/libc.so.6+0xb2610) 
==91389==ABORTING

Comment 1 Leonardo Taccari 2018-12-28 22:42:09 UTC
Hello shuitao!
Was this reported upstream?  If not, can you please share this problem also with them?


Thank you!

Comment 2 Henri Salo 2018-12-29 03:29:41 UTC
Reported to upstream https://github.com/cacalabs/libcaca/issues/41

Comment 3 Leonardo Taccari 2018-12-29 14:21:28 UTC
Thank you very much Henri!

Comment 4 Ben Cotton 2019-08-13 17:05:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 19:38:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Ben Cotton 2020-11-03 16:46:49 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2020-11-24 17:48:08 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.